Subject: Re: Locally manage user/branch setting files without pushing them remotely

From: Nicolas Sebrecht <[email-masked]>
Date: Wed, 11 Nov 2009 20:24:49 +0100

The 11/11/09, Daniele Segato wrote:

> The project has a lot of setting that are really binded to the user
> and should not go pushed in a remote repository (example: database
> connections parameters / filesystem paths)
> We have a .template file for those settings but the actual settings
> are really binded to the user environment.

This looks to _not_ be a piece of the development project. Settings used
for the tests suites, company where you work, etc _are_ clones (from the
abstract POV, at least) of the maintainer public repository.

If you want to track changes of settings in a per-production-repo basis,
you should do it _out_ of your main development repository. The latter
should have a publishable template instead (eg. "user = user_login",
"password = set_your_password").

-- 
Nicolas Sebrecht